# purefb_facts – Collect facts from Pure Storage FlashBlade

New in version 2.7.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favor of `_info` module.

Alternative

  Use purefb_info instead.

## Synopsis

- Collect facts information from a Pure Storage FlashBlade running the Purity//FB operating system. By default, the module will collect basic fact information including hosts, host groups, protection groups and volume counts. Additional fact information can be collected based on the configured set of arguments.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string |  | FlashBlade API token for admin privileged user.
fb_url string |  | FlashBlade management IP address or Hostname.
gather_subset list | Default: "minimum" | When supplied, this argument will define the facts to be collected. Possible values for this include all, minimum, config, performance, capacity, network, subnets, lags, filesystems and snapshots.

## Notes

Note

- This module requires the `purity_fb` Python library

- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: collect default set of facts
      purefb_facts:
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: collect configuration and capacity facts
      purefb_facts:
        gather_subset:
          - config
          - capacity
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: collect all facts
      purefb_facts:
        gather_subset:
          - all
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.